Oracle Linux 4 / 5 : firefox (ELSA-2008-0222)

High Nessus Plugin ID 67680


The remote Oracle Linux host is missing one or more security updates.


From Red Hat Security Advisory 2008:0222 :

Updated firefox packages that fix a security bug are now available for Red Hat Enterprise Linux 4 and 5.

This update has been rated as having critical security impact by the Red Hat Security Response Team.

Mozilla Firefox is an open source Web browser.

A flaw was found in the processing of malformed JavaScript content. A web page containing such malicious content could cause Firefox to crash or, potentially, execute arbitrary code as the user running Firefox. (CVE-2008-1380)

All Firefox users should upgrade to these updated packages, which contain backported patches that correct these issues.


Update the affected firefox packages.

See Also

Plugin Details

Severity: High

ID: 67680

File Name: oraclelinux_ELSA-2008-0222.nasl

Version: $Revision: 1.5 $

Type: local

Agent: unix

Published: 2013/07/12

Modified: 2015/12/01

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:firefox, p-cpe:/a:oracle:linux:firefox-devel, cpe:/o:oracle:linux:4, cpe:/o:oracle:linux:5

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2008/04/17

Reference Information

CVE: CVE-2008-1380

BID: 28818

OSVDB: 44467

RHSA: 2008:0222

CWE: 399